# TOP LEVEL REPOSITORY FOR THE AIDA2020 TRIGGER LOGIC UNIT

This repository is only used to provide the most up-to-date documentation for the AIDA2020 Trigger Logic Unit (TLU).

The documentation is provided as a LaTex project. The file [Main_TLU.pdf](./Documentation/Main_TLU.pdf) is a compiled PDF version of the documentation.

For a quick guide on how to setup and start using the TLU, see the manual section **Setup**.

## How to access the TLU software, hardware and firmware files

The **CAD** design files for the TLU can be accessed via a dedicated hardware repository (**https://ohwr.org/project/fmc-mtlu-hw/**).

Similarly, the **firmware** design files are stored in the gateware repository (**https://ohwr.org/project/fmc-mtlu-gw/**).

The unit can be controlled via **Python scripts** provided in the software repository (**https://ohwr.org/project/fmc-mtlu-sw**). However, the best way to operate the hardware is by using the dedicated **EUDAQ2** producer.

This can be accessed from the **EUDAQ2** repository (**https://github.com/eudaq/eudaq**).
To access the TLU producer files please go to https://github.com/eudaq/eudaq/tree/master/user/tlu.



